com.genesyslab.wfm8.API.service.schedule800

## Class SchAuditTransaction

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchAuditTransaction

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAuditTransaction
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Audit Transaction record
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchAuditDay>` | `agentDays` A list of agent days `SchAuditDay` that have been modified during the transaction.
    `protected int` | `agentDaysNSizeIs` Number of elements in the "agentDays" array
    `protected int` | `gswUserId` The ID of the user responsible for this transaction (can be zero for "system").
    `private static long` | `serialVersionUID`
    `protected int` | `wmAction` `ESchActionType`
    `protected double` | `wmEndDate` End date of transaction range `OleDateTime`
    `protected long` | `wmRollbackAuditId` The ID of the audit record used to rollback to.
    `protected long` | `wmSchAuditId` Schedule Audit Transaction ID
    `protected int` | `wmSiteID` Site ID
    `protected int` | `wmSrcScenarioId` The ID of the source scenario, if the transaction was a "publish" transaction.
    `protected double` | `wmStartDate` Start date of transaction range `OleDateTime`
    `protected double` | `wmTimestamp` Date/time of transaction in GMT time zone `OleDateTime`
    `protected int` | `wmTradeId` The ID of the trade record, if the transaction was "trade"

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAuditTransaction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchAuditDay>` | `getAgentDays()` Gets the value of the agentDays property.
    `int` | `getAgentDaysNSizeIs()` Gets the value of the agentDaysNSizeIs property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `int` | `getWmAction()` Gets the value of the wmAction property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `long` | `getWmRollbackAuditId()` Gets the value of the wmRollbackAuditId property.
    `long` | `getWmSchAuditId()` Gets the value of the wmSchAuditId property.
    `int` | `getWmSiteID()` Gets the value of the wmSiteID property.
    `int` | `getWmSrcScenarioId()` Gets the value of the wmSrcScenarioId property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `double` | `getWmTimestamp()` Gets the value of the wmTimestamp property.
    `int` | `getWmTradeId()` Gets the value of the wmTradeId property.
    `int` | `hashCode()`
    `void` | `setAgentDays(java.util.List<SchAuditDay> agentDays)` Sets the value of the agentDays property.
    `void` | `setAgentDaysNSizeIs(int value)` Sets the value of the agentDaysNSizeIs property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setWmAction(int value)` Sets the value of the wmAction property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmRollbackAuditId(long value)` Sets the value of the wmRollbackAuditId property.
    `void` | `setWmSchAuditId(long value)` Sets the value of the wmSchAuditId property.
    `void` | `setWmSiteID(int value)` Sets the value of the wmSiteID property.
    `void` | `setWmSrcScenarioId(int value)` Sets the value of the wmSrcScenarioId property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmTimestamp(double value)` Sets the value of the wmTimestamp property.
    `void` | `setWmTradeId(int value)` Sets the value of the wmTradeId property.
    `java.lang.String` | `toString()`
    `SchAuditTransaction` | `withAgentDays(java.util.Collection<SchAuditDay> values)`
    `SchAuditTransaction` | `withAgentDays(SchAuditDay... values)`
    `SchAuditTransaction` | `withAgentDaysNSizeIs(int value)`
    `SchAuditTransaction` | `withGswUserId(int value)`
    `SchAuditTransaction` | `withWmAction(int value)`
    `SchAuditTransaction` | `withWmEndDate(double value)`
    `SchAuditTransaction` | `withWmRollbackAuditId(long value)`
    `SchAuditTransaction` | `withWmSchAuditId(long value)`
    `SchAuditTransaction` | `withWmSiteID(int value)`
    `SchAuditTransaction` | `withWmSrcScenarioId(int value)`
    `SchAuditTransaction` | `withWmStartDate(double value)`
    `SchAuditTransaction` | `withWmTimestamp(double value)`
    `SchAuditTransaction` | `withWmTradeId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSchAuditId

          protected long wmSchAuditId

      Schedule Audit Transaction ID

    - #### wmSiteID

          protected int wmSiteID

      Site ID

    - #### gswUserId

          protected int gswUserId

      The ID of the user responsible for this transaction (can be zero for "system").

    - #### wmAction

          protected int wmAction

      `ESchActionType`

    - #### wmStartDate

          protected double wmStartDate

      Start date of transaction range `OleDateTime`

    - #### wmEndDate

          protected double wmEndDate

      End date of transaction range `OleDateTime`

    - #### wmTimestamp

          protected double wmTimestamp

      Date/time of transaction in GMT time zone `OleDateTime`

    - #### wmSrcScenarioId

          protected int wmSrcScenarioId

      The ID of the source scenario, if the transaction was a "publish" transaction.

    - #### wmTradeId

          protected int wmTradeId

      The ID of the trade record, if the transaction was "trade"

    - #### wmRollbackAuditId

          protected long wmRollbackAuditId

      The ID of the audit record used to rollback to.

    - #### agentDaysNSizeIs

          protected int agentDaysNSizeIs

      Number of elements in the "agentDays" array

    - #### agentDays

          protected java.util.List<SchAuditDay> agentDays

      A list of agent days `SchAuditDay` that have been modified during the transaction. This identifies all schedule agent days that have changed. Schedule details for those days can be found in the SchAuditLog.schedules member, and are uniquely identified by a combination of SchAuditDay.gswAgentID + SchAuditDay.wmDate + SchAuditDay.newTimestamp (or SchAuditDay.oldTimestamp).

  - ### Constructor Detail

    - #### SchAuditTransaction

          public SchAuditTransaction()

  - ### Method Detail

    - #### getWmSchAuditId

          public long getWmSchAuditId()

      Gets the value of the wmSchAuditId property.

    - #### setWmSchAuditId

          public void setWmSchAuditId(long value)

      Sets the value of the wmSchAuditId property.

    - #### getWmSiteID

          public int getWmSiteID()

      Gets the value of the wmSiteID property.

    - #### setWmSiteID

          public void setWmSiteID(int value)

      Sets the value of the wmSiteID property.

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmAction

          public int getWmAction()

      Gets the value of the wmAction property.

    - #### setWmAction

          public void setWmAction(int value)

      Sets the value of the wmAction property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the value of the wmTimestamp property.

    - #### setWmTimestamp

          public void setWmTimestamp(double value)

      Sets the value of the wmTimestamp property.

    - #### getWmSrcScenarioId

          public int getWmSrcScenarioId()

      Gets the value of the wmSrcScenarioId property.

    - #### setWmSrcScenarioId

          public void setWmSrcScenarioId(int value)

      Sets the value of the wmSrcScenarioId property.

    - #### getWmTradeId

          public int getWmTradeId()

      Gets the value of the wmTradeId property.

    - #### setWmTradeId

          public void setWmTradeId(int value)

      Sets the value of the wmTradeId property.

    - #### getWmRollbackAuditId

          public long getWmRollbackAuditId()

      Gets the value of the wmRollbackAuditId property.

    - #### setWmRollbackAuditId

          public void setWmRollbackAuditId(long value)

      Sets the value of the wmRollbackAuditId property.

    - #### getAgentDaysNSizeIs

          public int getAgentDaysNSizeIs()

      Gets the value of the agentDaysNSizeIs property.

    - #### setAgentDaysNSizeIs

          public void setAgentDaysNSizeIs(int value)

      Sets the value of the agentDaysNSizeIs property.

    - #### getAgentDays

          public java.util.List<SchAuditDay> getAgentDays()

      Gets the value of the agentDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentDays property.

      For example, to add a new item, do as follows:

              getAgentDays().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAuditDay`

    - #### withWmSchAuditId

          public SchAuditTransaction withWmSchAuditId(long value)

    - #### withWmSiteID

          public SchAuditTransaction withWmSiteID(int value)

    - #### withGswUserId

          public SchAuditTransaction withGswUserId(int value)

    - #### withWmAction

          public SchAuditTransaction withWmAction(int value)

    - #### withWmStartDate

          public SchAuditTransaction withWmStartDate(double value)

    - #### withWmEndDate

          public SchAuditTransaction withWmEndDate(double value)

    - #### withWmTimestamp

          public SchAuditTransaction withWmTimestamp(double value)

    - #### withWmSrcScenarioId

          public SchAuditTransaction withWmSrcScenarioId(int value)

    - #### withWmTradeId

          public SchAuditTransaction withWmTradeId(int value)

    - #### withWmRollbackAuditId

          public SchAuditTransaction withWmRollbackAuditId(long value)

    - #### withAgentDaysNSizeIs

          public SchAuditTransaction withAgentDaysNSizeIs(int value)

    - #### withAgentDays

          public SchAuditTransaction withAgentDays(SchAuditDay... values)

    - #### withAgentDays

          public SchAuditTransaction withAgentDays(java.util.Collection<SchAuditDay> values)

    - #### setAgentDays

          public void setAgentDays(java.util.List<SchAuditDay> agentDays)

      Sets the value of the agentDays property.
      Parameters:
        `agentDays` - allowed object is `SchAuditDay`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.